Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Compatability with Ubuntu 14.04 x64

  1. #1
    mwschaef is offline New Member
    Join Date
    Apr 2014
    Posts
    3
    Rep Power
    1

    Default Compatability with Ubuntu 14.04 x64

    Now that ia32-libs has been depreciated, how should Zimbra Desktop be installed on Ubuntu 14.04 x64?

  2. #2
    kcarpenter528 is offline Starter Member
    Join Date
    Apr 2014
    Posts
    1
    Rep Power
    1

    Default

    I'm in the same boat. Curious how we can make it work.

  3. #3
    tonster is offline Zimbra Employee
    Join Date
    Dec 2007
    Location
    Ypsilanti, MI
    Posts
    145
    Rep Power
    7

    Default

    Quote Originally Posted by kcarpenter528 View Post
    I'm in the same boat. Curious how we can make it work.
    Hi guys, I'm going to do some testing and see if we have a viable workaround.

  4. #4
    port22 is offline Junior Member
    Join Date
    Apr 2014
    Posts
    6
    Rep Power
    1

    Default

    Hi folks,

    I think I got some workaround for ubuntu trusty 14.04:

    1) add this to the apt sources:
    deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse

    2) apt-get update
    3) apt-get install ia32-libs

    If you have zdesktop already installed, run:
    /opt/zimbra/zdesktop/linux/prism/zdclient -webapp "/home/silvio/zdesktop/zdesktop.webapp"

    * correct your paths!
    * note that the override option is omitted here. (otherwise it told me: file or folder not found)

    Now zdesktop should start. Close it and start it again via Desktop Shortcut or execute (now with override option):
    /opt/zimbra/zdesktop/linux/prism/zdclient" -webapp "/home/silvio/zdesktop/zdesktop.webapp" -override "/home/silvio/zdesktop/zdesktop.webapp/override.ini" -profile "/home/silvio/zdesktop/profile

    * again correct your paths!

    Please note that I am no Pro. Maybe there are only some libs from the ia32 package needed, so the full ia32 package may install more than you need.
    Also, as usual, be aware that additional repositories should be maintained from time to time and make sure that you trust them.

    At least, I can use it now so that's ok for me.
    Last edited by port22; 04-29-2014 at 09:56 AM.

  5. #5
    mwschaef is offline New Member
    Join Date
    Apr 2014
    Posts
    3
    Rep Power
    1

    Default

    Any luck with a viable workaround?

  6. #6
    port22 is offline Junior Member
    Join Date
    Apr 2014
    Posts
    6
    Rep Power
    1

    Default

    what didn't work? got no problems so far...
    Afaik the problem is just the missing ia32-libs package in trusty, which you can retrieve from the raring repo mentioned in my post.

    edit: where the heck is my post? ^^

    so, in this repo you will find the needed ia32-libs package:

    deb http://archive.ubuntu.com/ubuntu/ raring main restricted universe multiverse
    Last edited by port22; 05-01-2014 at 08:54 AM.

  7. #7
    itmltd is offline Member
    Join Date
    Apr 2010
    Posts
    13
    Rep Power
    5

    Default

    Quote Originally Posted by tonster View Post
    Hi guys, I'm going to do some testing and see if we have a viable workaround.
    There will be alot of Ubuntu 14.04 LTS users facing this problem soon. Perhaps even more with upcoming Ubuntu derivatives.

    So, a viable workaround will be better than using an old repo. Who knows what may break in the future.

    So, Tonster, we are all waiting for your workaround. Hope you find it soon.

  8. #8
    mwschaef is offline New Member
    Join Date
    Apr 2014
    Posts
    3
    Rep Power
    1

    Default

    itmltd has said it well. We're waiting for a work arouund that does not use depreciated files from old repos. Tonster how about an update?

  9. #9
    tonster is offline Zimbra Employee
    Join Date
    Dec 2007
    Location
    Ypsilanti, MI
    Posts
    145
    Rep Power
    7

    Default

    Unfortunately, the only workaround is going to be hacking the packaging system to allow you to install the ia32-libs package. https://bugzilla.zimbra.com/show_bug.cgi?id=65456 will bring 64-bit support to ZD, but not for awhile. It's been targeted for the next release of Zimbra Desktop, but I don't have an estimate as of yet as to when that will be released.

  10. #10
    JDunphy is offline Junior Member
    Join Date
    Jan 2008
    Posts
    8
    Rep Power
    7

    Default

    I did this on my 64 bit ubuntu 13.10 install and ZD works well. The ia32-libs was a no go so try the following given the new direction of using multi arch.

    # apt-get install libc6:i386 libgcc1:i386 gcc-4.6-base:i386 libstdc++5:i386 libstdc++6:i386 libasound:i386
    # apt-get install libgtk2.0-0:i386 libxtst6:i386

    I flailed a bit trying to get this working including... adding an entry in my /etc/ld.so.conf.d area for /opt/zimbra/zdesktop/linux/prism/xulrunner

    I don't claim all those i386 libraries are required but it installed enough to get the job done. It wasn't until the end that I got a clue and did the following to see what was missing.

    % strace /opt/zimbra/zdesktop/linux/prism/zdclient

    I would then install the 32bit libraries that it stopped on. I think we are close to getting this documented better.

    Hope this helps

    Jim

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Compatability with Microsoft Unified Communications?
    By lindsey in forum Administrators
    Replies: 4
    Last Post: 11-15-2011, 10:37 AM
  2. AstraSync Compatability
    By Guenther983 in forum Zimbra Mobile
    Replies: 19
    Last Post: 01-30-2010, 07:47 AM
  3. [SOLVED] Forwards Compatability 4.5.10 > 5.0.2
    By Nutz in forum Zimbra Connector for Outlook
    Replies: 1
    Last Post: 02-15-2008, 06:53 PM
  4. connector versioning and compatability
    By shawnlhood in forum CalDAV / CardDAV / iSync
    Replies: 11
    Last Post: 01-02-2008, 05:45 PM
  5. Known Zimlet compatability issues with Zimbra 5?
    By Vimm in forum Administrators
    Replies: 3
    Last Post: 12-12-2007, 08:16 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •